## speechd-el 0.4

=== Makefile ===
# Makefile for speechd-el
# Copyright (C) 2003, 2004 Brailcom, o.p.s.

EMACS = emacs

NAME = speechd-el
VERSION = 0.4
DISTDIR = $(NAME)-$(VERSION)
TARFILE = $(NAME)-$(VERSION).tar

.PHONY: all install install-strip uninstall clean distclean mostlyclean \
	maintainer-clean TAGS info dvi dist check

all: compile info

compile: speechd.elc speechd-speak.elc speechd-bug.elc
speechd.elc: speechd.el
	$(EMACS) --batch -l speechd.el -f batch-byte-compile $<
speechd-speak.elc: speechd-speak.el speechd.elc
	$(EMACS) --batch -l speechd.elc -l speechd-speak.el -f batch-byte-compile $<
speechd-bug.elc: speechd-bug.el speechd-speak.elc speechd.elc
	$(EMACS) --batch -l speechd.elc -l speechd-speak.elc -l speechd-bug.el -f batch-byte-compile $<

install:

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' install

uninstall:

mostlyclean:
	rm -f *.aux *.cp *.cps *.fn *.ky *.log *.pg *.toc *.tp *.vr *~

clean: mostlyclean
	rm -f *.dvi *.elc speechd-el.pdf *.ps

distclean: clean
	rm -rf $(DISTDIR) $(TARFILE)* *.orig *.rej

maintainer-clean: distclean
	rm -f *.info*

TAGS:
	etags *.el

doc: info pdf

info: speechd-el.info
%.info: %.texi
	makeinfo $<

info-cs: speechd-el.cs.info

pdf: speechd-el.pdf
%.pdf: %.texi
	texi2pdf $<

ps: speechd-el.ps
%.ps: %.texi
	texi2ps $<

dist: maintainer-clean info
	mkdir $(DISTDIR)
	chmod 755 $(DISTDIR)
	install -m 644 `find . -maxdepth 1 -type f -name '[a-zA-Z]*'` \
		$(DISTDIR)
	(cd $(DISTDIR); $(MAKE) distclean)
	tar cvf $(TARFILE) $(DISTDIR)
	gzip -9 $(TARFILE)

check:

## speechd-el 0.5

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 EMACS = emacs
 
 NAME = speechd-el
-VERSION = 0.4
+VERSION = 0.5
 DISTDIR = $(NAME)-$(VERSION)
 TARFILE = $(NAME)-$(VERSION).tar
 
@@ -13,13 +13,20 @@
 
 all: compile info
 
-compile: speechd.elc speechd-speak.elc speechd-bug.elc
+compile: speechd.elc speechd-speak.elc speechd-bug.elc speechd-version.elc
 speechd.elc: speechd.el
 	$(EMACS) --batch -l speechd.el -f batch-byte-compile $<
 speechd-speak.elc: speechd-speak.el speechd.elc
 	$(EMACS) --batch -l speechd.elc -l speechd-speak.el -f batch-byte-compile $<
-speechd-bug.elc: speechd-bug.el speechd-speak.elc speechd.elc
-	$(EMACS) --batch -l speechd.elc -l speechd-speak.elc -l speechd-bug.el -f batch-byte-compile $<
+speechd-bug.elc: speechd-bug.el speechd-speak.elc speechd.elc speechd-version.elc
+	$(EMACS) --batch -l speechd.elc -l speechd-speak.elc -l speechd-version.elc -l speechd-bug.el -f batch-byte-compile $<
+
+speechd-version.elc: speechd-version.el
+	$(EMACS) --batch -f batch-byte-compile $<
+
+speechd-version.el:
+	echo '(defconst speechd-version "' `tla logs -f -r | head -1` '")' > $@
+	echo "(provide 'speechd-version)" >> $@
 
 install:
 
@@ -38,7 +45,7 @@
 	rm -rf $(DISTDIR) $(TARFILE)* *.orig *.rej
 
 maintainer-clean: distclean
-	rm -f *.info*
+	rm -f *.info* speechd-version.el
 
 TAGS:
 	etags *.el
@@ -59,7 +66,7 @@
 %.ps: %.texi
 	texi2ps $<
 
-dist: maintainer-clean info
+dist: maintainer-clean info speechd-version.el
 	mkdir $(DISTDIR)
 	chmod 755 $(DISTDIR)
 	install -m 644 `find . -maxdepth 1 -type f -name '[a-zA-Z]*'` \

## speechd-el 1.0

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 EMACS = emacs
 
 NAME = speechd-el
-VERSION = 0.5
+VERSION = 1.0
 DISTDIR = $(NAME)-$(VERSION)
 TARFILE = $(NAME)-$(VERSION).tar

## speechd-el 2.0

=== Makefile ===
# Makefile for speechd-el
# Copyright (C) 2003, 2004, 2005, 2006 Brailcom, o.p.s.

EMACS = emacs

NAME = speechd-el
VERSION = 2.0
DISTDIR = $(NAME)-$(VERSION)
TARFILE = $(NAME)-$(VERSION).tar

.PHONY: all compile install install-strip uninstall \
        clean distclean mostlyclean maintainer-clean TAGS info dvi dist check

all: compile info

compile: braille.elc brltty.elc mmanager.elc speechd.elc speechd-braille.elc \
         speechd-brltty.elc speechd-bug.elc speechd-common.elc \
         speechd-out.elc speechd-speak.elc speechd-ssip.elc

%.elc: %.el
	$(EMACS) --batch -l speechd-compile.el -f speechd-compile --kill

install:

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' install

uninstall:

mostlyclean:
	rm -f *.aux *.cp *.cps *.fn *.ky *.log *.pg *.toc *.tp *.vr *~

clean: mostlyclean
	rm -f *.dvi *.elc speechd-el.pdf *.ps

distclean: clean
	rm -rf $(DISTDIR) $(TARFILE)* *.orig *.rej TAGS

maintainer-clean: distclean
	rm -f *.info*

TAGS:
	etags *.el

doc: info pdf

info: speechd-el.info
%.info: %.texi
	makeinfo $<

info-cs: speechd-el.cs.info

pdf: speechd-el.pdf
%.pdf: %.texi
	texi2pdf $<

ps: speechd-el.ps
%.ps: %.texi
	texi2ps $<

dist: maintainer-clean info
	mkdir $(DISTDIR)
	chmod 755 $(DISTDIR)
	install -m 644 `find . -maxdepth 1 -type f -name '[a-zA-Z]*'` \
		$(DISTDIR)
	(cd $(DISTDIR); $(MAKE) distclean)
	tar cvf $(TARFILE) $(DISTDIR)
	gzip -9 $(TARFILE)

check:

## speechd-el 2.1

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 EMACS = emacs
 
 NAME = speechd-el
-VERSION = 2.0
+VERSION = 2.1
 DISTDIR = $(NAME)-$(VERSION)
 TARFILE = $(NAME)-$(VERSION).tar

## speechd-el 2.2

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,25 @@
 # Makefile for speechd-el
 # Copyright (C) 2003, 2004, 2005, 2006 Brailcom, o.p.s.
+
+# COPYRIGHT NOTICE
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 EMACS = emacs
 
 NAME = speechd-el
-VERSION = 2.1
+VERSION = 2.2
 DISTDIR = $(NAME)-$(VERSION)
 TARFILE = $(NAME)-$(VERSION).tar

## speechd-el 2.3

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile for speechd-el
-# Copyright (C) 2003, 2004, 2005, 2006 Brailcom, o.p.s.
+# Copyright (C) 2003, 2004, 2005, 2006, 2008 Brailcom, o.p.s.
 
 # COPYRIGHT NOTICE
 #
@@ -19,7 +19,7 @@
 EMACS = emacs
 
 NAME = speechd-el
-VERSION = 2.2
+VERSION = 2.3
 DISTDIR = $(NAME)-$(VERSION)
 TARFILE = $(NAME)-$(VERSION).tar

## speechd-el 2.4

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile for speechd-el
-# Copyright (C) 2003, 2004, 2005, 2006, 2008 Brailcom, o.p.s.
+# Copyright (C) 2003, 2004, 2005, 2006, 2008, 2010 Brailcom, o.p.s.
 
 # COPYRIGHT NOTICE
 #
@@ -19,7 +19,7 @@
 EMACS = emacs
 
 NAME = speechd-el
-VERSION = 2.3
+VERSION = 2.4
 DISTDIR = $(NAME)-$(VERSION)
 TARFILE = $(NAME)-$(VERSION).tar

=== debian/changelog ===
speechd-el (2.4-1) unstable; urgency=low

  * New upstream version.
  * Dependency on eieio updated.

 -- Milan Zamazal <pdm@debian.org>  Mon, 21 Jun 2010 12:21:27 +0200

speechd-el (2.3-3) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Switch from dpatch to quilt.
  * Homepage field added.
  * Standards 3.8.4.

 -- Milan Zamazal <pdm@debian.org>  Mon, 15 Mar 2010 10:26:12 +0100

speechd-el (2.3-2) unstable; urgency=low

  * Update dependencies for emacs23.
  * Update to debhelper 7.
  * README.source created.
  * Standards 3.8.3.

 -- Milan Zamazal <pdm@debian.org>  Wed, 07 Oct 2009 13:51:47 +0200

speechd-el (2.3-1) unstable; urgency=low

  * New upstream version.
  * Standards 3.8.0 (no real change).
  * Description added to the Debian patch.
  * debian/rules: Build the package in binary-indep instead of binary-arch.

 -- Milan Zamazal <pdm@debian.org>  Thu, 26 Jun 2008 21:13:05 +0200

speechd-el (2.2-2) unstable; urgency=low

  * License information in debian/copyright fixed.
  * Standards-Version 3.7.3.

 -- Milan Zamazal <pdm@debian.org>  Mon,  3 Dec 2007 10:50:37 +0100

speechd-el (2.2-1) unstable; urgency=low

  * New upstream version.
  * Invoke both `info' and `info-cs' build targets in debian/rules.
  * Use dpatch.

 -- Milan Zamazal <pdm@debian.org>  Thu, 29 Nov 2007 14:07:53 +0100

speechd-el (2.1-2) unstable; urgency=low

  * Support for `emacs22' package added.
  * Set debhelper version in debian/compat, not in rules.
  * Don't build Info files which are already present.

 -- Milan Zamazal <pdm@debian.org>  Wed, 23 May 2007 08:34:02 +0200

speechd-el (2.1-1) unstable; urgency=low

  * New upstream version.

 -- Milan Zamazal <pdm@debian.org>  Fri, 20 Oct 2006 20:13:11 +0200

speechd-el (2.0-2) unstable; urgency=low

  * Load SSIP and BrlTTY drivers by default; closes: #386578.

 -- Milan Zamazal <pdm@debian.org>  Thu, 14 Sep 2006 17:31:04 +0200

speechd-el (2.0-1) unstable; urgency=low

  * New upstream version.
  * debhelper build dependency moved to Build-Depends.
  * Standards 3.7.2 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Sun,  9 Jul 2006 12:32:15 +0200

speechd-el (1.0-4) unstable; urgency=low

  * Install when the Emacs flavor is emacs-snapshot.
  * DH_COMPAT increased to 4.

 -- Milan Zamazal <pdm@debian.org>  Tue,  2 May 2006 11:08:19 +0200

speechd-el (1.0-3) unstable; urgency=low

  * Depend on emacs-snapshot | emacs21 (>= 21.3); older emacsen not
    supported.
  * Standards 3.6.2 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Mon, 15 Aug 2005 14:47:55 +0200

speechd-el (1.0-2) unstable; urgency=low

  * Upstream bug fix.

 -- Milan Zamazal <pdm@debian.org>  Sat,  9 Apr 2005 13:49:30 +0200

speechd-el (1.0-1) unstable; urgency=low

  * New upstream version.

 -- Milan Zamazal <pdm@debian.org>  Thu, 13 Jan 2005 15:11:29 +0100

speechd-el (0.5-1) unstable; urgency=low

  * New upstream version.
  * Standards 3.6.1 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Tue, 19 Oct 2004 20:22:18 +0200

speechd-el (0.4-2) unstable; urgency=low

  * Recommend sharutils.

 -- Milan Zamazal <pdm@debian.org>  Fri, 23 Jul 2004 13:43:28 +0200

speechd-el (0.4-1) unstable; urgency=low

  * New upstream version.

 -- Milan Zamazal <pdm@debian.org>  Thu, 27 May 2004 12:58:15 +0200

speechd-el (0.3-1) unstable; urgency=low

  * New upstream version.

 -- Milan Zamazal <pdm@debian.org>  Tue, 30 Mar 2004 12:18:35 +0200

speechd-el (0.2-2) unstable; urgency=low

  * NEWS file installed.
  * debian/control: Global Section added.

 -- Milan Zamazal <pdm@debian.org>  Thu, 18 Mar 2004 15:07:24 +0100

speechd-el (0.2-1) unstable; urgency=low

  * New upstream release.
  * Binary packages moved to sections defined by the override file.

 -- Milan Zamazal <pdm@debian.org>  Sat, 13 Dec 2003 13:06:05 +0100

speechd-el (0.1-2) unstable; urgency=low

  * Don't depend on emacsen-common.
  * Depend on `emacs21' and `make'.
  * Don't compile for Emacs flavors other than `emacs21'; closes: #223530.

 -- Milan Zamazal <pdm@debian.org>  Wed, 10 Dec 2003 17:37:54 +0100

speechd-el (0.1-1) unstable; urgency=low

  * Initial packaging.

 -- Milan Zamazal <pdm@debian.org>  Fri,  7 Nov 2003 13:16:18 +0100

=== debian/control ===
Source: speechd-el
Section: editors
Priority: optional
Maintainer: Milan Zamazal <pdm@debian.org>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: texinfo
Standards-Version: 3.8.4
Homepage: http://www.freebsoft.org/speechd-el
 
Package: speechd-el
Architecture: all
Depends: emacs23 | emacs22 | emacs-snapshot | emacs21 (>= 21.3), make, eieio | emacs23 (>= 23.2), base-files (>= 4.0.1), ${misc:Depends}
Recommends: sharutils
Suggests: speech-dispatcher, speechd-el-doc-cs, brltty (>= 3.7.2)
Description: Emacs speech client using Speech Dispatcher
 speechd-el is an Emacs client and an Elisp library to Speech Dispatcher.  It
 provides a complex speech interface to Emacs, focused especially on (but not
 limited to) the blind and visually impaired users.  It allows the user to work
 with Emacs without looking on the screen, using the speech output produced by
 the synthesizers supported in Speech Dispatcher.
 
Package: speechd-el-doc-cs
Section: doc
Architecture: all
Depends: base-files (>= 4.0.1), ${misc:Depends}
Suggests: speechd-el
Description: speechd-el documentation in Czech
 speechd-el is an Emacs client and an Elisp library to Speech Dispatcher.  It
 provides a complex speech interface to Emacs, focused especially on (but not
 limited to) the blind and visually impaired users.  It allows the user to work
 with Emacs without looking on the screen, using the speech output produced by
 the synthesizers supported in Speech Dispatcher.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

package=speechd-el

.NOTPARALLEL:

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) info info-cs
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) distclean
	rm -f speechd-el.cs.info*
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install Makefile *.el usr/share/emacs/site-lisp/speechd-el/
	install speechd-log-extractor \
		debian/$(package)/usr/share/emacs/site-lisp/speechd-el/

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -A
	dh_installdocs ANNOUNCE NEWS README speechd-speak.pdf
	dh_installdocs -p $(package)-doc-cs
	dh_installexamples
	dh_install -A
	dh_installemacsen
	dh_installinfo speechd-el.info*
	dh_installinfo -p $(package)-doc-cs speechd-el.cs.info*
	dh_link
	dh_compress -A
	dh_fixperms -A
	dh_installdeb -A
	dh_shlibdeps
	dh_gencontrol -A
	dh_md5sums -A
	dh_builddeb -A

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## speechd-el 2.5

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 # Makefile for speechd-el
 # Copyright (C) 2003, 2004, 2005, 2006, 2008, 2010 Brailcom, o.p.s.
+# Copyright (C) 2012 Milan Zamazal
 
 # COPYRIGHT NOTICE
 #
@@ -19,7 +20,7 @@
 EMACS = emacs
 
 NAME = speechd-el
-VERSION = 2.4
+VERSION = 2.5
 DISTDIR = $(NAME)-$(VERSION)
 TARFILE = $(NAME)-$(VERSION).tar

=== debian/changelog ===
speechd-el (2.5-4) unstable; urgency=low

  * Make emacs23 the first alternative in Depends to make the package
    suitable for wheezy.

 -- Milan Zamazal <pdm@debian.org>  Tue, 04 Dec 2012 20:23:27 +0100

speechd-el (2.5-3) unstable; urgency=low

  * Upload to unstable as #694676 is actually release critical.

 -- Milan Zamazal <pdm@debian.org>  Tue, 04 Dec 2012 10:19:16 +0100

speechd-el (2.5-2) experimental; urgency=low

  * Require proper Emacs versions; closes: #694676.
  * Upload to experimental because wheezy is frozen.

 -- Milan Zamazal <pdm@debian.org>  Mon, 03 Dec 2012 22:29:03 +0100

speechd-el (2.5-1) unstable; urgency=low

  * New upstream version.

 -- Milan Zamazal <pdm@debian.org>  Wed, 06 Jun 2012 22:06:35 +0200

speechd-el (2.4-3) unstable; urgency=low

  * Prevent compilation freeze in certain environments; closes: #667538.
  * debian/rules: build-arch and build-indep targets added.
  * Remove site-lisp/speechd-el directory after purging .elc files.
  * Standards 3.9.3 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Sat, 07 Apr 2012 14:28:00 +0200

speechd-el (2.4-2) unstable; urgency=low

  * Upstream fix applied to make speechd-el work with Emacs >= 23.3;
    closes: #623565.
  * Standards 3.9.2 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Tue, 26 Apr 2011 10:44:41 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Milan Zamazal <pdm@debian.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: texinfo
-Standards-Version: 3.8.4
+Standards-Version: 3.9.3
 Homepage: http://www.freebsoft.org/speechd-el
  
 Package: speechd-el
 Architecture: all
-Depends: emacs23 | emacs22 | emacs-snapshot | emacs21 (>= 21.3), make, eieio | emacs23 (>= 23.2), base-files (>= 4.0.1), ${misc:Depends}
+Depends: emacs23 (>= 23.2) | emacs24, make, base-files (>= 4.0.1), ${misc:Depends}
 Recommends: sharutils
 Suggests: speech-dispatcher, speechd-el-doc-cs, brltty (>= 3.7.2)
 Description: Emacs speech client using Speech Dispatcher

## speechd-el 2.6

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for speechd-el
 # Copyright (C) 2003, 2004, 2005, 2006, 2008, 2010 Brailcom, o.p.s.
-# Copyright (C) 2012 Milan Zamazal
+# Copyright (C) 2012, 2013 Milan Zamazal
 
 # COPYRIGHT NOTICE
 #
@@ -20,7 +20,7 @@
 EMACS = emacs
 
 NAME = speechd-el
-VERSION = 2.5
+VERSION = 2.6
 DISTDIR = $(NAME)-$(VERSION)
 TARFILE = $(NAME)-$(VERSION).tar
 
@@ -53,16 +53,18 @@
 	rm -rf $(DISTDIR) $(TARFILE)* *.orig *.rej TAGS
 
 maintainer-clean: distclean
-	rm -f *.info*
+	rm -f *.info* dir
 
 TAGS:
 	etags *.el
 
 doc: info pdf
 
-info: speechd-el.info
+info: speechd-el.info dir
 %.info: %.texi
 	makeinfo $<
+dir: speechd-el.info
+	install-info $< dir
 
 info-cs: speechd-el.cs.info

=== debian/changelog ===
speechd-el (2.6-1) unstable; urgency=low

  * New upstream version; closes: #718537, #719031, #719032, #719841.

 -- Milan Zamazal <pdm@debian.org>  Sat, 24 Aug 2013 22:53:15 +0200

speechd-el (2.5-6) unstable; urgency=low

  * Remove *.el symlinks when needed; closes: #711912.
  * Don't fail on removal when unsupported Emacs version is installed;
    closes: #711909.
  * Don't fail on Czech documentation processing with Texinfo 5;
    closes: #712353.

 -- Milan Zamazal <pdm@debian.org>  Sat, 15 Jun 2013 11:36:17 +0200

speechd-el (2.5-5) unstable; urgency=low

  * Ensure source files can be located by Emacs; closes: #710574.
  * Use debian-pkg-add-load-path-item instead of modifying load-path
    directly; closes: #710575.

 -- Milan Zamazal <pdm@debian.org>  Sat, 08 Jun 2013 21:38:42 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  
 Package: speechd-el
 Architecture: all
-Depends: emacs23 (>= 23.2) | emacs24, make, base-files (>= 4.0.1), ${misc:Depends}
+Depends: emacs23 (>= 23.2) | emacs24, make, base-files (>= 4.0.1), emacsen-common (>= 1.4.14), ${misc:Depends}
 Recommends: sharutils
 Suggests: speech-dispatcher, speechd-el-doc-cs, brltty (>= 3.7.2)
 Description: Emacs speech client using Speech Dispatcher

## speechd-el 2.7

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 EMACS = emacs
 
 NAME = speechd-el
-VERSION = 2.6
+VERSION = 2.7
 DISTDIR = $(NAME)-$(VERSION)
 TARFILE = $(NAME)-$(VERSION).tar

=== debian/changelog ===
speechd-el (2.7-1) unstable; urgency=low

  * New upstream version.
  * Standards 3.9.6 (no real change).
  * Updated for new Emacs policy.

 -- Milan Zamazal <pdm@debian.org>  Thu, 23 Oct 2014 06:22:42 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Milan Zamazal <pdm@debian.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: texinfo
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: http://www.freebsoft.org/speechd-el
  
 Package: speechd-el
 Architecture: all
-Depends: emacs23 (>= 23.2) | emacs24, make, base-files (>= 4.0.1), emacsen-common (>= 1.4.14), ${misc:Depends}
+Depends: emacs23 (>= 23.2) | emacs24, make, base-files (>= 4.0.1), emacsen-common (>= 2.0.8), ${misc:Depends}
 Recommends: sharutils
 Suggests: speech-dispatcher, speechd-el-doc-cs, brltty (>= 3.7.2)
 Description: Emacs speech client using Speech Dispatcher

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,9 @@
 
 .NOTPARALLEL:
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
 	$(MAKE) info info-cs

## speechd-el 2.8

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for speechd-el
 # Copyright (C) 2003, 2004, 2005, 2006, 2008, 2010 Brailcom, o.p.s.
-# Copyright (C) 2012, 2013 Milan Zamazal
+# Copyright (C) 2012, 2013, 2016 Milan Zamazal
 
 # COPYRIGHT NOTICE
 #
@@ -20,7 +20,7 @@
 EMACS = emacs
 
 NAME = speechd-el
-VERSION = 2.7
+VERSION = 2.8
 DISTDIR = $(NAME)-$(VERSION)
 TARFILE = $(NAME)-$(VERSION).tar

=== debian/changelog ===
speechd-el (2.8-2) unstable; urgency=low

  * Support for emacs25 added.
  * Support for emacs23 dropped.
  * Debhelper compatibility level increased to 9.

 -- Milan Zamazal <pdm@debian.org>  Thu, 10 Nov 2016 20:26:31 +0100

speechd-el (2.8-1) unstable; urgency=low

  * New upstream version; closes: #830667.
  * Standards 3.9.8 (no real change).
  * Don't depend on emacs23 anymore.

 -- Milan Zamazal <pdm@debian.org>  Sun, 10 Jul 2016 13:05:56 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Milan Zamazal <pdm@debian.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: texinfo
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.freebsoft.org/speechd-el
  
 Package: speechd-el
 Architecture: all
-Depends: emacs23 (>= 23.2) | emacs24, make, base-files (>= 4.0.1), emacsen-common (>= 2.0.8), ${misc:Depends}
+Depends: emacs25 | emacs24, make, base-files (>= 4.0.1), emacsen-common (>= 2.0.8), ${misc:Depends}
 Recommends: sharutils
 Suggests: speech-dispatcher, speechd-el-doc-cs, brltty (>= 3.7.2)
 Description: Emacs speech client using Speech Dispatcher

## speechd-el 2.9

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 EMACS = emacs
 
 NAME = speechd-el
-VERSION = 2.8
+VERSION = 2.9
 DISTDIR = $(NAME)-$(VERSION)
 TARFILE = $(NAME)-$(VERSION).tar

=== debian/changelog ===
speechd-el (2.9-2) unstable; urgency=medium

  * New, source-only, upload.

 -- Milan Zamazal <pdm@debian.org>  Thu, 23 Apr 2020 22:06:43 +0200

speechd-el (2.9-1) unstable; urgency=medium

  * New upstream version.

 -- Milan Zamazal <pdm@debian.org>  Fri, 07 Feb 2020 22:07:28 +0100

speechd-el (2.8-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to versionless emacs dependency (Closes: #933322)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Aug 2019 12:48:34 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  
 Package: speechd-el
 Architecture: all
-Depends: emacs25 | emacs24, make, base-files (>= 4.0.1), emacsen-common (>= 2.0.8), ${misc:Depends}
+Depends: emacs | emacs-gtk | emacs-lucid | emacs-nox | emacsen, make, base-files (>= 4.0.1), emacsen-common (>= 2.0.8), ${misc:Depends}
 Recommends: sharutils
 Suggests: speech-dispatcher, speechd-el-doc-cs, brltty (>= 3.7.2)
 Description: Emacs speech client using Speech Dispatcher

## speechd-el 2.11

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for speechd-el
-# Copyright (C) 2003, 2004, 2005, 2006, 2008, 2010 Brailcom, o.p.s.
-# Copyright (C) 2012, 2013, 2016 Milan Zamazal
+# Copyright (C) 2012-2021 Milan Zamazal
+# Copyright (C) 2003-2010 Brailcom, o.p.s.
 
 # COPYRIGHT NOTICE
 #
@@ -20,7 +20,7 @@
 EMACS = emacs
 
 NAME = speechd-el
-VERSION = 2.9
+VERSION = 2.11
 DISTDIR = $(NAME)-$(VERSION)
 TARFILE = $(NAME)-$(VERSION).tar

=== debian/changelog ===
speechd-el (2.11-2) unstable; urgency=medium

  * Standards 4.6.0 (no real change).
  * List the GitHub page as the upstream home page.

 -- Milan Zamazal <pdm@debian.org>  Wed, 22 Sep 2021 15:46:24 +0200

speechd-el (2.11-1) experimental; urgency=medium

  * New upstream version.
  * install-info added to build dependencies.
  * debhelper build dependency updated.
  * Use /usr/bin/perl in speechd-log-extractor.
  * Remove generated speechd-el.cs.* files on cleanup.

 -- Milan Zamazal <pdm@debian.org>  Sat, 03 Jul 2021 11:01:17 +0200

speechd-el (2.10-1) experimental; urgency=medium

  * New upstream version.
  * debian/rules converted to dh.
  * Standards 4.5.1.

 -- Milan Zamazal <pdm@debian.org>  Fri, 11 Jun 2021 21:26:53 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: editors
 Priority: optional
 Maintainer: Milan Zamazal <pdm@debian.org>
-Build-Depends: debhelper (>= 7)
-Build-Depends-Indep: texinfo
-Standards-Version: 3.9.8
-Homepage: http://www.freebsoft.org/speechd-el
- 
+Build-Depends: debhelper (>= 12)
+Build-Depends-Indep: install-info, texinfo
+Standards-Version: 4.6.0
+Homepage: https://github.com/brailcom/speechd-el
+
 Package: speechd-el
 Architecture: all
 Depends: emacs | emacs-gtk | emacs-lucid | emacs-nox | emacsen, make, base-files (>= 4.0.1), emacsen-common (>= 2.0.8), ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

package=speechd-el
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	DOC_TARGETS=info info-cs
endif

%:
	dh $@

override_dh_auto_build:
	$(MAKE) $(DOC_TARGETS)

override_dh_install:
	dh_install Makefile *.el usr/share/emacs/site-lisp/speechd-el/
	install speechd-log-extractor \
		debian/$(package)/usr/share/emacs/site-lisp/speechd-el/

override_dh_installdocs:
	dh_installdocs ANNOUNCE NEWS README speechd-speak.pdf
	dh_installdocs -p $(package)-doc-cs

override_dh_installinfo:
	dh_installinfo speechd-el.info*
	dh_installinfo -p $(package)-doc-cs speechd-el.cs.info*
